## Apache Zeta Components Manual :: Docs For Class ezcGraphAxisStep

### Graph::ezcGraphAxisStep

### Class ezcGraphAxisStep

Represents a single step on the axis

Struct class containg information for single steps in the axis. A step may have child steps, which are commonly known as major (bigger) and minor (smaller) steps on axis.

The positions of multiple steps in an array generated by the ezcGraphChartElementAxis classes is not always distributed evenly.

Source for this file: /Graph/src/structs/step.php

Version: | //autogentag//

### Member Variables

public array(ezcGraphAxisStep) | `$childs = array()` Childrens of step
public bool | `$isLast = false` True if this step is the last one
public bool | `$isZero = false` True if the step is at the same position as the other axis
public string | `$label = false` Steps label
public float | `$position = 0` Position of step on one axis.
public float | `$width = 0` Size of step

Documentation generated by phpDocumentor 1.4.3